;Script per il vocabolario di italiano lo Zingarelli interattivo della collana "I dizionari per sempre"
;Realizzato dal CISAD

Include "HjGlobal.jsh"
Include "hjconst.jsh" 
Include "HjHelp.jsh" 
Include "common.jsm" 
Include "inglese.jsh"
Include "zanrep.jsm"



Script AiutoTastiCaldi ()

SetJCFOption (OPT_VIRT_VIEWER, 1)
if UserBufferIsActive () then
	UserBufferDeactivate ()
else
	UserBufferClear ()
endif
SayFormattedMessage (OT_USER_BUFFER, msgHotKeyHelp, msgHotKeyHelp)
SetJCFOption (OPT_VIRT_VIEWER, 0)

EndScript



Script NumeroLemmi ()

RouteJAWSToPc ()
JAWSCursor ()
JAWSPageDown ()
SayLine ()
PCCursor ()
Say ("Freccia gi o freccia su per selezionare un lemma",0)

EndScript



Script Pronuncia ()

RouteJAWSToInvisible ()
JAWSCursor ()
RestrictCursor (1)
if (ctrf==0) then
	Say ("Non ci sono pronuncie",0)
	InvisibleCursor()
    return
endif
if (ctrf<numb) then
	Say ("Non ci sono altre pronuncie",0)
	let numb=1
	InvisibleCursor()
	return
endif
if (numb==1) then
	MoveTo (x1,y1)
else
	if (numb==2) then
     		MoveTo (x2,y2)
  	else
    		if (numb==3) then
       			MoveTo (x3,y3)
    		else
       			if (numb==4) then
          				MoveTo (x4,y4)
       			else
          				Say ("Non ci sono altre pronuncie",0)
          				let numb=1
          				InvisibleCursor()
         				return
       			endif
     		endif
	endif
endif
LeftMouseButton ()
NextCharacter ()
let numb=numb+1
InvisibleCursor()

EndScript



Script Definizione ()

var
int cont
let numb=1
let cont=1
let ctrf=0
RefreshWindow (GetFocus())
InvisibleCursor ()
RouteInvisibleToPc ()
RestrictCursor (1)
While ((GetCharacterFont () != "isymb_00")&& cont<200) 
	NextCharacter ()
	let cont=cont+1
ENDWHILE
if (cont < 200) then
	let x1=GetCursorCol ()
	let y1=GetCursorRow ()
	let ctrf = ctrf+1
	NextCharacter ()
	While ((GetCharacterFont () != "isymb_00")&& cont<200) 
		NextCharacter ()
		let cont=cont+1
	ENDWHILE
  	if (cont < 200) then
	   	let x2=GetCursorCol ()
    		let y2=GetCursorRow ()
    		let ctrf = ctrf+1
    		NextCharacter ()
     		While ((GetCharacterFont () != "isymb_00") && cont<200) 
      			NextCharacter ()
      			let cont=cont+1
     		ENDWHILE
      		if (cont < 200) then
      			let x3=GetCursorCol ()
      			let y3=GetCursorRow ()
      			let ctrf = ctrf+1
       			NextCharacter ()									
	  		While ((GetCharacterFont () != "isymb_00") && cont<200) 
			         	NextCharacter ()
			          	let cont=cont+1
        			ENDWHILE
        			if (cont < 200) then
				let x4=GetCursorCol ()
				let y4=GetCursorRow ()
				let ctrf = ctrf+1
            			NextCharacter ()
         			endif
    		endif
     		say ("Ci sono ", 0)
     		say (IntToString (ctrf),0)
     		say (" pronuncie" ,0)
     		say ("Per ascoltare le pronuncie premere la cobinazione dei tasti Control + Alt + barra spaziatrice ",0)
	else
    		say ("Vi  una pronuncia " , 0)
     		say ("Per ascoltare le pronuncie premere la cobinazione dei tasti Control + Alt + barra spaziatrice ",0)
  	Endif
else
    say ("",0)
endif
say ("Definizione:", 0)
InvisibleCursor()
say (GetWindowText (GetFocus (), 0), 0)
RestoreCursor()

EndScript



Void Function FocusChangedEvent (handle FocusWindow, handle PrevWindow)

PerformScript Inizializza()

EndFunction


Script Inizializza ()

let controllo=GetControlId(GetFocus())
if  (controllo ==  testolemma) || (controllo == testolemmaavanzate) then
	PerformScript Definizione()
  	return
endif
if (controllo == selezionelemma) || (controllo == selezionelemmaavanzate) then
 	PerformScript NumeroLemmi()
 	return 
endif
if (controllo == lemma) ||(controllo == lemmaavanzate) then 
  	say ("Editare un Lemma: ", 0)
  	return 
endif
if (controllo == tuttotesto) then 
   	say("Editare Tutto testo:",0)
   	return 
endif
if (controllo == areadocumento) then
   	say("Scegliere una voce nell'area del documento: ", 0)
   	RouteJAWSToPc ()
   	LeftMouseButton ()
   	NextLine() 
   	RestoreCursor ()
   	return 
endif
if (controllo == traducenti) then
   	say("Editare Traducenti:",0)
	return  		
endif
if (controllo==categoria) then
 	say("Editare Categoria grammaticale:",0)
  	return 
endif
if (controllo==esempi) then
 	say("Editare Esempi e fraseologia:",0)
  	return 
endif
if (controllo==traduzione) then
   	say ("Editare la Traduzione esempi e fraseologia",0)
	return
endif
if (controllo==indice) then
  	IndiceGenerale()
  	return 
endif

EndScript



Function IndiceGenerale ()

RefreshWindow (GetFocus ())
FindString (GetRealWindow(getfocus()), "Collaboratori", s_top, s_restricted)
let x1=GetCursorCol ()
let y1=GetCursorRow ()
say ("Premere Alt +1 per leggere l'eleco dei collaboratori",0)
FindString (GetRealWindow(getfocus()), "Presentazione", s_top, s_restricted)
let x2=GetCursorCol ()
let y2=GetCursorRow ()
say ("Premere Alt +2 per leggere la presentazione dell'opera",0)
FindString (GetRealWindow(getfocus()), "Guida", s_top, s_restricted)
let x3=GetCursorCol ()
let y3=GetCursorRow ()
say ("Premere Alt +3 per leggere la guida al dizionario",0)
FindString (GetRealWindow(getfocus()), "Abbreviazioni", s_top, s_restricted)
let x4=GetCursorCol ()
let y4=GetCursorRow ()
say ("Premere Alt +4 per leggere le abbreviazioni usate nel vocabolario",0)
FindString (GetRealWindow(getfocus()), "Simboli", s_top, s_restricted)
let x5=GetCursorCol ()
let y5=GetCursorRow ()
say ("Premere Alt +5 per i Simboli fonetici",0)

EndFunction



Script Uno ()

MoveTo (x1, y1)
LeftMouseButton ()
return

EndScript



Script Due ()

MoveTo (x2, y2)
LeftMouseButton ()
return

EndScript



Script Tre ()

MoveTo (x3, y3)
LeftMouseButton ()
return

EndScript



Script Quattro ()

MoveTo (x4, y4)
LeftMouseButton ()
return

EndScript

Script Cinque ()

MoveTo (x5, y5)
LeftMouseButton ()
return

EndScript

Script EventoFinito ()

let flag=0
{Alt + F}
{U}

EndScript
 
